import React, { Component, useState, useEffect } from 'react';
import echarts from 'echarts/lib/echarts';
import EChart from '../../../components/EchartsTest/EChart';
import request from '../../../utils/request';
import apis from '../../../services/apis';
import moment from 'moment';
import router from 'umi/router';
import { Table, Select, Row, Col, Menu, Dropdown, Button, Icon, message } from 'antd';
// import UserSource from './mmm';

import styles from '../styles.less'

const formatDate = (start, end) => {
  const startDate = moment(start).format('YYYY-MM-DDT00:00:00.000') + 'Z'
  const endDate = moment(end).format('YYYY-MM-DDT23:59:59.999') + 'Z'
  return { startDate, endDate }
}

const UserSource = (props) => {

  const [data, setData] = useState({ records: [] })
  const [theStatis, settheStatis] = useState({ records: [] })
 
  const [theCurrent, settheCurrent] = useState({ records: [] })
  const endDate = new Date()
  const startDate = moment().subtract(7, 'day').toDate()
 
  // const theStatis = 'authorization_phone'
  useEffect(() => {
    settheStatis('authorization_phone')
    // UserConversionRate({ conversion: theStatis }).then(setDataset)
  }, [])

  // function UserConversionRate (params) {
  //   console.log(params, '1111111')
  //   request({
  //     ...apis.indexEcharts.userConversion,
  //     params,
  //   }).then((data) => {

  //     setData(data)
  //     console.log(data, '000000')
  //   }).then
  // }
  
 function UserConversionRate(_, payload) {
    return new Promise((resolve, reject) => {
      request({
        ...apis.indexEcharts.userConversion,
        params: payload,
      }).then((data) => {
        resolve(data)
      })
    })
  }
  // const dataset = (data.selectSexUser) || []
  // console.log(dataset, '000000')
  const statisTypes=[
    { label: '授权手机', value: 'authorization_phone' },
    { label: '项目收藏', value: 'building_save' },
    { label: '项目转发', value: 'building_share' },
    { label: '活动收藏', value: 'activity_save' },
    { label: '活动转发', value: 'activity_share' },
    { label: '资讯收藏', value: 'news_save' },
    { label: '资讯转发', value: 'news_share' },
    { label: '活动报名', value: 'activity_sign' },

  ]
// const theCurrent = []
 function setDataset(data) {      
    const { pvNum, ...other } = data['data_count']

    // 获取第一个值
    let num = 0
    for (let v of Object.keys(other)) {
      num = other[v]
      break
    }


    if (pvNum < num) {
      theCurrent = []
    } else {
      theCurrent = [
        { name: getStatisName(), value: num },
        { name: '其余', value: pvNum - num },
      ]
    }
    
    dataset[theStatis] = theCurrent
  }

  function getStatisName() {
    return statisTypes.filter(x => x.value === theStatis)[0].label
  }

  // getStatisName() {
 
  const options = {
    legend: {},
    color: ['#8B7FE2', '#DDDDDD'],
    tooltip: {},
    series: {
      type: 'pie',
      name: '转化率',
      radius: ['50%', '70%'],
      data: theCurrent
    }
    
      
    

  }
  // statisTypes: [
  //   { label: '授权手机', value: 'authorization_phone' },
  //   { label: '项目收藏', value: 'building_save' },
  //   { label: '项目转发', value: 'building_share' },
  //   { label: '活动收藏', value: 'activity_save' },
  //   { label: '活动转发', value: 'activity_share' },
  //   { label: '资讯收藏', value: 'news_save' },
  //   { label: '资讯转发', value: 'news_share' },
  //   { label: '活动报名', value: 'activity_sign' },

  // ],
  function onChange (value) {

  }

  const piestyles = {
    width: '100%',
    height: '400px',

  }


  return (
    <>
      <div>
        <h3>转化率</h3>

        <Select
          showSearch
          style={{ width: 200 }}
          placeholder="授权手机"
          optionFilterProp="children"
          onChange={onChange}

        >
          <Option value="authorization_phone">授权手机</Option>
          <Option value="building_save">项目收藏</Option>
          <Option value="building_share">项目转发</Option>
          <Option value="activity_save">活动收藏</Option>
          <Option value="activity_share">活动转发</Option>
          <Option value="news_save">资讯收藏</Option>
          <Option value="news_share">资讯转发</Option>
          <Option value="activity_sign">活动报名</Option>
        </Select>
        {/* <EChart options={options} style={piestyles} /> */}




      </div>





    </>
  )
}

export default UserSource;